<template>
  <div class="hello">
    <p>Component Son</p>
    <input type="text" :value="value" @input="change">
  </div>
</template>

<script>
export default {
  name: 'HelloWorld',
  props: ['value'],
  methods: {
    change(e){
      this.$emit('input',e.target.value)
    }
  },

}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
input{
  margin-top: 10%
}
.hello{
  height: 100px;
  width: 200px;
  background: blanchedalmond;
  margin-left: 30%;
}
</style>
